Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Class MimeRenderer

    java.lang.Object
      org.ajax4jsf.resource.BaseResourceRenderer
          org.ajax4jsf.resource.MimeRenderer

All Implemented Interfaces:
  org.ajax4jsf.resource.ResourceRenderer

    public class MimeRenderer

extends BaseResourceRenderer

Author:
  Nick Belaevski - nbelaevski@exadel.com created 20.11.2006

Constructor Summary
`MimeRenderer()`
`MimeRenderer(java.lang.String contentType)`

Method Summary
`protected java.lang.String[][]` | `getCommonAttrs()`
`java.lang.String` | `getContentType()`
`protected java.lang.String` | `getHrefAttr()`
`protected java.lang.String` | `getTag()`
`void` | `setContentType(java.lang.String contentType)`

Methods inherited from class org.ajax4jsf.resource.BaseResourceRenderer
`customEncode, encode, encode, encodeBegin, encodeEnd, getData, requireFacesContext, send, sendStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeRenderer

    public MimeRenderer()

### MimeRenderer

    public MimeRenderer(java.lang.String contentType)

Method Detail

### getContentType

    public java.lang.String getContentType()

### setContentType

    public void setContentType(java.lang.String contentType)

### getTag

    protected java.lang.String getTag()

  Specified by:
    `getTag` in class `BaseResourceRenderer`

### getCommonAttrs

    protected java.lang.String[][] getCommonAttrs()

  Specified by:
    `getCommonAttrs` in class `BaseResourceRenderer`

### getHrefAttr

    protected java.lang.String getHrefAttr()

  Specified by:
    `getHrefAttr` in class `BaseResourceRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.